diff options
author | Jelmer Vernooij <jelmer@samba.org> | 2008-05-27 18:13:50 +0200 |
---|---|---|
committer | Jelmer Vernooij <jelmer@samba.org> | 2008-05-27 18:13:50 +0200 |
commit | e797e23e481a290c85872a7cc7df4d9b1ba9c31d (patch) | |
tree | d226fc03fbf5f6e10386838be43fdf8f6be67839 /source4/heimdal_build | |
parent | 053cb704d9e51b4ef4c65e2143091270a01cc6a4 (diff) | |
download | samba-e797e23e481a290c85872a7cc7df4d9b1ba9c31d.tar.gz samba-e797e23e481a290c85872a7cc7df4d9b1ba9c31d.tar.bz2 samba-e797e23e481a290c85872a7cc7df4d9b1ba9c31d.zip |
Simplify handling of source directory in asn compile wrapper.
(This used to be commit 2c01d342b27832b930b81b04a90ed5630c6f470d)
Diffstat (limited to 'source4/heimdal_build')
-rwxr-xr-x | source4/heimdal_build/asn1_compile_wrapper.sh | 28 | ||||
-rwxr-xr-x | source4/heimdal_build/asn1_deps.pl | 2 |
2 files changed, 8 insertions, 22 deletions
diff --git a/source4/heimdal_build/asn1_compile_wrapper.sh b/source4/heimdal_build/asn1_compile_wrapper.sh index 96677c7e8e..c449bf8065 100755 --- a/source4/heimdal_build/asn1_compile_wrapper.sh +++ b/source4/heimdal_build/asn1_compile_wrapper.sh @@ -4,21 +4,15 @@ SELF=$0 SELFDIR=`dirname ${SELF}` -SRCDIR=$1 -BUILDDIR=$2 -DESTDIR=$3 +BUILDDIR=$1 +DESTDIR=$2 -CMD=$4 -FILE=$5 -NAME=$6 -shift 6 +CMD=$3 +FILE=$4 +NAME=$5 +shift 5 OPTIONS="$@" -test -z "${SRCDIR}" && { - echo "${SELF}:SRCDIR: '${SRCDIR}'" >&2; - exit 1; -} - test -z "${BUILDDIR}" && { echo "${SELF}:BUILDDIR: '${BUILDDIR}'" >&2; exit 1; @@ -46,14 +40,6 @@ test -z "${NAME}" && { CURDIR=`pwd` -cd ${SRCDIR} && { - ABS_SRCDIR=`pwd` - cd ${CURDIR} -} || { - echo "${SELF}:cannot cd into '${SRCDIR}'" >&2; - exit 1; -} - cd ${BUILDDIR} && { ABS_BUILDDIR=`pwd` cd ${CURDIR} @@ -63,7 +49,7 @@ cd ${BUILDDIR} && { } cd ${DESTDIR} && { - ${ABS_BUILDDIR}/${CMD} ${OPTIONS} ${ABS_SRCDIR}/${FILE} ${NAME} >&2 || exit 1; + ${ABS_BUILDDIR}/${CMD} ${OPTIONS} ${FILE} ${NAME} >&2 || exit 1; cd ${CURDIR} } || { echo "${SELF}:cannot cd into '${BUILDDIR}'" >&2; diff --git a/source4/heimdal_build/asn1_deps.pl b/source4/heimdal_build/asn1_deps.pl index 16b2bd7dbe..6121781760 100755 --- a/source4/heimdal_build/asn1_deps.pl +++ b/source4/heimdal_build/asn1_deps.pl @@ -31,7 +31,7 @@ my $header = "$dirname/$prefix.h"; print "$header: \$(heimdalsrcdir)/$file \$(ASN1C)\n"; print "\t\@echo \"Compiling ASN1 file \$(heimdalsrcdir)/$file\"\n"; -print "\t\@\$(heimdalbuildsrcdir)/asn1_compile_wrapper.sh \$(srcdir) \$(builddir) $dirname \$(ASN1C) \$(heimdalsrcdir)/$file $prefix $options\n\n"; +print "\t\@\$(heimdalbuildsrcdir)/asn1_compile_wrapper.sh \$(builddir) $dirname \$(ASN1C) \$(abspath \$(heimdalsrcdir)/$file) $prefix $options\n\n"; open(IN,"heimdal/$file") or die("Can't open heimdal/$file: $!"); my @lines = <IN>; |